Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.viewer
Class MainScreen

    java.lang.Object
      edu.harvard.hul.ois.jhove.viewer.MainScreen

    public class MainScreen

extends java.lang.Object

Static methods for positioning windows on the main screen.

Author:
  Gary McGath

Method Summary
`static void` | `centerTopWindow(java.awt.Window win)` Center the window at the top of the main screen.
`static void` | `centerWindow(java.awt.Window win)` Center the window on the main screen.
`static java.awt.Rectangle` | `mainBounds()` Returns the bounds of the main monitor device.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### centerWindow

    public static void centerWindow(java.awt.Window win)

  Center the window on the main screen.

### centerTopWindow

    public static void centerTopWindow(java.awt.Window win)

  Center the window at the top of the main screen.

### mainBounds

    public static java.awt.Rectangle mainBounds()

  Returns the bounds of the main monitor device.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD